Gda.Binary – Gda-6.0 Reference Manual

# Binary

## Object Hierarchy:

## Description:

[ CCode ( copy_function = "g_boxed_copy" , free_function = "g_boxed_free" , type_id = "gda_binary_get_type ()" ) ]
[ Compact ]
public class Binary
Namespace: Gda
Package: Gda-6.0

## Content:

### Creation methods:

- public Binary ()

### Methods:

- public Binary copy ()
- public void free ()
- public void* get_data ()
- public long get_size ()
- public void reset_data ()
- public void set_data (uint8[] val)
- public void take_data (uint8[] val)
- public string to_string (uint maxlen)